falkon (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:07 +0000

falkon (24.11.80-2ubuntu1) plucky; urgency=medium

  * New upstream beta release (24.11.80.
  * Sync with debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 18:53:51 +0000

falkon (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:35:50 +0000

falkon (24.08.2-1ubuntu2) plucky; urgency=medium

  * Fix qtwebengine qml module runtime depend to be Qt6 version.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 17:12:26 +0000

falkon (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian: Remianing changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 12:09:26 +0000

falkon (24.08.2-1) unstable; urgency=medium

  * New upstream version 24.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Oct 2024 09:45:09 +0200

falkon (24.08.1-1) unstable; urgency=medium

  * New upstream version 24.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Sep 2024 14:35:13 +0200

falkon (24.08.0-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Aug 2024 14:35:13 +0200

falkon (24.08.0-1) experimental; urgency=medium

  * New upstream version 24.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Aug 2024 10:13:19 +0200

falkon (24.07.80-1) experimental; urgency=medium

  * New upstream version 24.07.80
  * trying to check the pgp signature
  * New upstream version 24.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jul 2024 09:17:56 +0200

falkon (24.05.2-1) experimental; urgency=medium

  * New upstream version 24.05.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jul 2024 19:44:41 +0200

falkon (24.05.2-0ubuntu3) oracular; urgency=medium

  * Add bug number.. (LP: 2081228)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 02:02:29 -0700

falkon (24.05.2-0ubuntu2) oracular; urgency=medium

  * Fix webengine path for qt6 in apparmor profile.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 18 Sep 2024 01:46:56 -0700

falkon (24.05.2-0ubuntu1) oracular; urgency=medium

  [ Scarlett Moore ]
  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

  [ Rik Mills ]
  * New upstream release (24.05.2)
  * Re-apply Kubuntu delta dropped by a sync several releases back.
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jul 2024 15:52:48 +0100

falkon (24.05.2-1) experimental; urgency=medium

  * New upstream version 24.05.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jul 2024 19:44:41 +0200

falkon (24.05.1-1ubuntu2) oracular; urgency=medium

  * Add missing files. 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 09:08:41 -0700

falkon (24.05.1-1ubuntu1) oracular; urgency=medium

  * Add apparmor profile to fix userns crash. (LP: #2065915) 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 08:09:35 -0700

falkon (24.05.1-1) experimental; urgency=medium

  * added the build-dependency cmake-data
  * bumped Standards-Version: 4.7.0
  * New upstream version 24.05.1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:12:47 +0200

falkon (24.05.0-1) experimental; urgency=medium

  * New upstream version 24.05.0
  * added a build-dependency on libkf6kio-dev; removed build-dependencies
    on libkf6coreaddons-*

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 May 2024 17:42:14 +0200

falkon (24.04.90-2) experimental; urgency=medium

  * added a build dependency: qt6-networkauth-dev
  * removed a redundancy in d/copyright line 127, and another one in line 75
  * fixed a build dependency extra-cmake-modules (>= 6.0.0-1) =>
    extra-cmake-modules (>= 6.0.0)
  * changed a build-dependency pkg-config => pkgconf

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 May 2024 08:52:55 +0200

falkon (24.04.90-1) experimental; urgency=medium

  * New upstream version 24.04.90
  * added a build-dependency on libkf6i18n-dev (thank to Adrian Bunk)
    Closes: #1071138
  * added other build-dependencies: qtkeychain-qt6-dev, libkf6wallet-dev,
    libkf6crash-dev,libkf6coreaddons-dev, libkf6coreaddons-data.
  * added the *-data packages to dependencies

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 May 2024 15:53:49 +0200

falkon (24.04.80-2) experimental; urgency=medium

  * added build-dependencies: libkf6archive-dev, libkf6archive-data
  * modified dependencies to introduce : libqt6sql6-sqlite as a dependency
    and libqt6webenginecore6-bin as a suggestion
  * updated debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 May 2024 09:15:20 +0200

falkon (24.04.80-1) experimental; urgency=medium

  * New upstream version 24.04.80

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 May 2024 18:47:29 +0200

falkon (24.02.2-1) experimental; urgency=medium

  * minimum dependency for extra-cmake-modules (>= 6.0.0-1)
  * New upstream version 24.02.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Apr 2024 13:42:52 +0200

falkon (24.02.0-1) experimental; urgency=medium

  * trying to run CI with experimental
  * trying to fix SALSA_CI_EXTRA_REPOSITORY
  * added a sources.list-like file
  * trying to use a file variable
  * New upstream version 24.02.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Mar 2024 16:55:32 +0100

falkon (24.01.95-1) experimental; urgency=medium

  * New upstream version 24.01.95
  * added a build-dependency extra-cmake-modules
  * removed the patch KF_MIN_VERSION.patch since FindKF6.cmake can be
    provided in experimental
  * New upstream version 24.01.90
  * removed useless copyright data about src/plugins/ImageFinder/*
  * The dependencies cannot be yet fulfilled: the line
    find_package(KF6 REQUIRED COMPONENTS Archive) in CMakeLists.txt would
    require some file like "kf6-config.cmake"; however apt-file search kf6
    returns nothing useful.
    .
    Some hacks have been tried to make some progress in packaging:
    + patched CMakeLists.txt to force min version to be less than
      the requested version "5.240.0" for package "ECM", and work around
      the missing kf6 stuff.
    + modified build-dependencies since Qt is required to be >= 6

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Feb 2024 19:18:10 +0100

falkon (24.01.85-1) UNRELEASED; urgency=medium

  * New upstream version 24.01.85; still fails to build with the message
      CMakeLists.txt:19 (find_package):
        Could not find a configuration file for package "ECM" that is compatible
  	with requested version "5.240.0".

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Dec 2023 12:09:57 +0100

falkon (24.01.80-1) UNRELEASED; urgency=medium

  * New upstream version 24.01.80; this one depends on an unstable release
    of kde frameworks (>= 5.240.0), which is not packaged today

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 15:31:59 +0100

falkon (24.01.75-1) unstable; urgency=medium

  * fixed a typo in d/control
  * New upstream version 24.01.75

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Nov 2023 11:41:19 +0100

falkon (23.08.2-1) unstable; urgency=medium

  * define hardening flags for cmake (see
    https://wiki.debian.org/Hardening#DEB_BUILD_HARDENING_FORTIFY_.28gcc.
    +2Fg.2B-.2B-_-D_FORTIFY_SOURCE.3D2.29)
  * define fortifying flags for cmake in d/rules
  * added a workaround for bhlc bug. See #994422
  * New upstream version 23.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:47:52 +0200

falkon (23.08.1-2) unstable; urgency=medium

  * updated lintian-overrides
  * replaced the build-dependency libxcb-util0-dev => libxcb-util-dev
  * renamed debian/NEWS.Debian -> debian/NEWS
  * improved the copyright file
  * Depends -> Suggests qtwebengine5-dev-tools (for Falkon)
  * removed the unused build-depedndency on cdbs
  * patched CMakeLists.txt to add fortifying flag -D_FORTIFY_SOURCE=2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Sep 2023 18:31:05 +0200

falkon (23.08.1-1) unstable; urgency=medium

  * New upstream version 23.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Sep 2023 19:29:07 +0200

falkon (23.08.0-1) unstable; urgency=medium

  * New upstream version 23.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2023 20:31:30 +0200

falkon (23.07.90-1) unstable; urgency=medium

  * New upstream version 23.07.90

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2023 12:47:23 +0200

falkon (23.07.80-1) unstable; urgency=medium

  * New upstream version 23.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 10:28:17 +0200

falkon (23.04.3-1) unstable; urgency=medium

  * New upstream version 23.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 19:18:54 +0200

falkon (23.04.2-1) unstable; urgency=medium

  * New upstream version 23.04.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 11:52:16 +0200

falkon (23.04.1-1) experimental; urgency=medium

  * removed redundant globbing patterns from d/copyright
  * New upstream version 23.04.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 May 2023 11:54:43 +0200

falkon (23.04.0-1) experimental; urgency=medium

  * New upstream version 23.04.0
  * modified d/control about VCS stuff
  * added d/salsa-ci.yml (and modified the settings in Salsa)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2023 18:10:29 +0200

falkon (22.12.1-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Architecture: any

  [ Georges Khaznadar ]
  * modified falkon.postinst to manage /usr/share/qt5/qtwebengine_dictionaries
    more smoothly. Closes: #1029621, and Closes: #1030183

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Jan 2023 13:48:20 +0100

falkon (22.12.1-1) unstable; urgency=medium

  * fix #1027805
  * ignore debian/files
  * New upstream version 22.12.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 18:05:30 +0100

falkon (22.12.0-3) unstable; urgency=medium

  * modified the postinst script: if updating the dictionaries fails,
    a message is issued, but the configuration is not stalled.
    Closes: #1027805

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 18:02:35 +0100

falkon (22.12.0-2) unstable; urgency=medium

  * modified the dependencies, adding qtwebengine5-dev-tools
  * modified the postinst script, so that the configure action will update
    dictionaries (from Hunspell type to .bdic type). Closes: #988324

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Dec 2022 11:50:39 +0100

falkon (22.12.0-1) unstable; urgency=medium

  * changed debian/watch, to track https://github.com/KDE/falkon
  * New upstream version 22.12.0
  * updated debian/copyright
  * bumped Standards-Version: 4.6.1, and debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Dec 2022 09:04:33 +0100

falkon (3.2.0+dfsg1-2) unstable; urgency=medium

  * added a Recommends: clause for libsvtav1enc0; Closes: #1012065
  * acknowledging that the upstream version 3.2 is packaged; Closes: #1005344

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 18:47:28 +0200

falkon (3.2.0+dfsg1-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Use uscan to exclude files from source tarballs automatically
  * Update upstream signing key
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * New upstream version 3.2.0+dfsg1
  * Remove patches applied upstream
  * Add libkf5archive-dev as a build dependency

  [ Georges Khaznadar ]
  * merged Pirate Praveen's work, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Feb 2022 20:05:59 +0100

falkon (3.1.0+dfsg1-11) unstable; urgency=medium

  * removed debian/falkon.install since for a single package there is no
    debian/tmp directory implied. Closes: #987490

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Apr 2021 17:02:14 +0200

falkon (3.1.0+dfsg1-10) unstable; urgency=medium

  * applied Reiner Herrmann's patch, thanks! Closes: #987455

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Apr 2021 15:41:47 +0200

falkon (3.1.0+dfsg1-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972158).

  [ Georges Khaznadar ]
  * adopted Dmitry Shachnev's fix, thank you Dmitry!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Oct 2020 13:51:42 +0300

falkon (3.1.0+dfsg1-8) unstable; urgency=medium

  * backported the last version of networkmanages.cpp. Closes: #964775

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Aug 2020 09:55:39 +0200

falkon (3.1.0+dfsg1-6) unstable; urgency=medium

  * Changed the path glob to find the libraries, which should encompass
    files built with the armhf architecture

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 Nov 2019 19:58:21 +0100

falkon (3.1.0+dfsg1-5) unstable; urgency=medium

  * removed the dependency on libgnome-keyring-dev, since this package
    is no longer part of Debian. Together with the upstream version
    change, this ... Closes: #943769

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 30 Oct 2019 13:31:35 +0100

falkon (3.1.0+dfsg1-4) unstable; urgency=medium

  * Checked that falkon-3.1.0+dfsg1-3 does not crash.
    Closes: #940463

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 17 Sep 2019 16:28:23 +0200

falkon (3.1.0+dfsg1-3) unstable; urgency=medium

  * removed transitional packages libqupzilla1 and libqupzilla-dev
    which provide no compatibility with old content, thanks to
    Bastian Blank' remark

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Sep 2019 20:03:28 +0200

falkon (3.1.0+dfsg1-2) unstable; urgency=medium

  * added a dependency on qml-module-qtwebengine. Closes: #903785
  * upgraded Standards-Version: 4.3.0, debhelper (>= 11)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2019 17:44:19 +0200

falkon (3.1.0+dfsg1-1) unstable; urgency=medium

  * created another binary package to separate the plugin for
    kwallet, since it may save some megabytes for people who do not
    want to install policykit and al. Closes: #894766
  * fixed debian/watch, which failed to watch upstream changes
  * upgraded to the new upstream source. Closes: #926154
  * removed src/lib/data/html/jquery-ui from the upstream tree
  * added build-dependencies on libkf5i18n-dev, libgnome-keyring-dev,
    libkf5crash-dev, libkf5coreaddons-dev, libkf5purpose-dev
  * dropped CDBS to use dh instead
  * create jquery.js and jquery-ui.js as symlinks rather than uglified files
  * modified install files, and wrote a few lignes for a target
    override_dh_auto_install to move relevant plugins to falkon-plugin-wallet

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Apr 2019 16:48:51 +0200

falkon (3.0.0-3) unstable; urgency=medium

  * added a notification in NEW.Debian to tell the user with root
    privilege who installs Falkon how to restore qupzilla bookmarks
    for himself or for other users, if any. Closes: #894709

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 Apr 2018 17:17:05 +0200

falkon (3.0.0-2) unstable; urgency=medium

  * added copyright entries for files under src/plugins. Closes: #894636

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 02 Apr 2018 23:16:01 +0200

falkon (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #894393)
  * Replaced QupZilla. Closes: #867947; Closes: #873283
  * inherited and adapted debian files from the package available in
    Ubuntu. Declared myself as maintainer.
  * added a build-dependency on cdbs
  * modified debian/rules as I am no KDE developer
  * added Priority: optional to transitional packages
  * declared VCS stuff in debian/control. Closes: #880536

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Mar 2018 16:41:24 +0100
 
qupzilla (2.2.5~dfsg1-2) unstable; urgency=medium

  * removed the build-dependency on libgnome-keyring-dev. Closes: #867947
    .
    As currently the document available at
    https://wiki.gnome.org/Initiatives/GnomeGoals/LibsecretMigration
    provides only ponctual matches between libsecret and libgnome-keyring
    primitives, but not general map neither detailed example of a
    migration, I also completely removed the Gnome Keyring integration
    from the built plugins. Let us hope that some day upstream developers
    will make this migration.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 09 Mar 2018 17:33:21 +0100

qupzilla (2.2.5~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Checked that thumbnails appear in a new tab. Closes: #888277
  * The web page http://korpusy.klf.uw.edu.pl/en/ exists no longer
    (error 404); now Qupzilla does not support displaying djvu images;
    instead, it proposes to open the file with an external viewer or
    to save it. Additionnally, the file 
    http://korpusy.klf.uw.edu.pl/extra/linde/index.djvu could not be
    viewed with any of the viewers known to support djvu file format.
    Closes: #857331
  * Events coming from a trackpad are not directly managed by qupzilla
    but rather by other daemons. If this bug report can be reopened by
    showing some evidence that those events are specifically mismanaged
    by qupzilla, and no other desktop application, you are welcome.
    Closes: #834475
  * currently there is no mention of deprecation in the debian bugs
    page about libgnome-keyring; so far, the announced page
    https://wiki.gnome.org/GnomeGoals/LibsecretMigration which is supposed
    to disclose how to migrate from libgnome-keyring to libsecret is
    not yet created. The previous message which I sent as a reply to bug
    report 867947, four months ago is unresponded. So, it Closes: #867947.
    Please feel free to reopen this bug report as soon as plans to
    migrate from libgnome-keyring to libsecret are published, and please
    be kind enough to send a link to those methods.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Feb 2018 09:14:46 +0100

qupzilla (2.2.3~dfsg1-2) unstable; urgency=medium

  * downgraded Recommends to Suggests: qupzilla-plugin-gnome-keyring,
    qupzilla-plugin-kwallet
  * applied Helmut Grohne's patch. Closes: #886778

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 15:46:42 +0100

qupzilla (2.2.3~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Rephrased the description for the package qupzilla-plugin-gnome-keyring
    Closes: #886266
  * patched the file linux/appdata/org.qupzilla.QupZilla.appdata.xml,
    which fixes the lintian error: "appstream-metadata-legacy-format"
  * changed the obsolete prioty extra to optional
  * upgraded S-V to 4.1.3

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jan 2018 11:46:02 +0100

qupzilla (2.2.2~dfsg1-2) unstable; urgency=medium

  * added a Breaks+Replace clause. Closes: #884645
  * tried on "some websites", ... when pressing the "Back"- button,
    qupzilla crashes no longer. So ... this Closes: #870059. If someone
    wants to reopen this bug report, please make a precise list of
    "some websites" which trigger this bug, in order to let the maintainer
    reproduce it.
  * this version of qupzilla does not crash on startup. This
    Closes: #863458.
  * added a "Provides: falkon" clause in debian/control, which
    Closes: #873283
  * the new version can access and save the file
    https://www.debian.org/logos/openlogo-75.png in the file system,
    which Closes: #834996

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Dec 2017 15:52:27 +0100

qupzilla (2.2.2~dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Dec 2017 19:32:01 +0100

qupzilla (2.2.0~dfsg1-3) unstable; urgency=medium

  * removed the Conflicts: clauses on a nonexistent Qupzilla version.
  * added a package qupzilla-plugin-kwallet which provides separately
    the plugin for KWallet. Closes: #880535, and once again,
    Closes: #845346.
  * added a package qupzilla-plugin-gnome-keyring to provide a similar
    separate feature for Gnome Keyring
  * added Recommends: stances from libqupzilla1 to the newly separated
    packages.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Nov 2017 11:59:59 +0100

qupzilla (2.2.0~dfsg1-2) unstable; urgency=medium

  * enforced kde integration, as hinted again by Brendon Higgins, which
    definitely Closes: #845346
  * upgraded dh version to 10, which provides parallel build by default

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 01 Nov 2017 11:16:35 +0100

qupzilla (2.2.0~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * changed the build dependency libssl1.0-dev => libssl-dev.
    Closes: #859674
  * applied Brendon Higgins' patch. Closes: #845346
  * upgraded Standards-Version to 4.1.1
  * restricted the target Architecture: to amd64 arm64 armhf i386 mipsel
    to comply with qt5webkit-dev's restrictions. Closes: #868789

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 17:46:57 +0200

qupzilla (2.1.2~dfsg1-2) unstable; urgency=medium

  * changed the dependency on metapackage qt5-default, to be
    qtbase5-dev, qtchooser

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Jun 2017 16:56:00 +0200

qupzilla (2.1.2~dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 09 Jun 2017 20:19:38 +0200

qupzilla (2.0.2~dfsg1-1) unstable; urgency=medium

  * New upstream release. Closes: #827512
  * added build-depencies on qtwebengine5-examples, qttools5-dev-tools,
    libxcb-util0-dev
  * upgraded the dependency on libssl ==> libssl1.0-dev
  * refined the file debian/get-newest.sh and the target clean in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Jan 2017 18:43:00 +0100

qupzilla (2.0.1~dfsg1-1) UNRELEASED; urgency=medium

  * New upstream release
  * added a dependency on qtwebengine5-dev
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Jan 2017 17:40:06 +0100

qupzilla (1.8.9~dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with OpenSSL 1.0 (Closes: #828525).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Dec 2016 20:22:33 +0500

qupzilla (1.8.9~dfsg1-3) unstable; urgency=medium

  * removed the dependency on libqt5xcbqpa5. Closes: #812233

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Jan 2016 16:40:58 +0100

qupzilla (1.8.9~dfsg1-2) unstable; urgency=medium

  * added a dependency on libqt5xcbqpa5. Closes: #809617

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Jan 2016 11:15:48 +0100

qupzilla (1.8.9~dfsg1-1) unstable; urgency=medium

  * updated to the newest upstream version.
  * checked all the urls cited in
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=752299
    all of them are correctly accessed. Closes: #752299
  * checked that downloads from
    http://www.rstudio.com/products/rstudio/download/ are working.
    Closes: #785340
  * unable to reproduce bug 793846. Closes: #793846
    (pages will not scroll using mouse or trackpad)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Dec 2015 16:17:15 +0100

qupzilla (1.8.8~dfsg1-1) unstable; urgency=medium

  * updated to the newest upstream version. Closes: #802869
  * fixed a bug in debian/get-newest.sh
  * added a build-dependency on libqt5x11extras5-dev

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Nov 2015 16:04:09 +0100

qupzilla (1.8.6~dfsg1-2) unstable; urgency=medium

  * activated gnome integration. Closes: #773244

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Apr 2015 20:26:16 +0200

qupzilla (1.8.6~dfsg1-1) unstable; urgency=medium

  * put into section web. Closes: #782664
  * provides virtual package www-browser. Closes: #782665
  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Apr 2015 09:55:57 +0200

qupzilla (1.8.3.1~dfsg1-4) unstable; urgency=medium

  * modified the installation for package qupzilla, to take in account
    plugins. Closes: #770964
  * upgraded Standards-Version to 3.9.7

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Dec 2014 18:07:16 +0100

qupzilla (1.8.3.1~dfsg1-3) unstable; urgency=medium

  * removed completely debian/libqupzilla1.install which caused install
    bugs.
  * checked that qupzilla could access
    https://userstyles.org/styles/98527/old-mobile-opennet-ru
    without any modification. Closes: #752299

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Nov 2014 16:54:10 +0100

qupzilla (1.8.3.1~dfsg1-2) unstable; urgency=medium

  * modified the installation method for libraries, which are not
    always in debian/tmp/usr/lib/*/libQupzilla*; for platforms which
    do not support multi-arch, they are rather in debian/tmp/usr/lib/.
    This should fix the build issue for many platforms.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Nov 2014 11:32:00 +0100

qupzilla (1.8.3.1~dfsg1-1) unstable; urgency=medium

  * created a script debian/get-newest.sh to repackage upstream source:
    it removes embedded jquery and jquery-ui compressed javascript code;
    it removes precompiled .qm locale files; this cleanup is made without
    touching the useful bin/themes directory, which provides the theme for
    Linux. Closes: #767482
  * renamed the debian package since upstream files are removed.
  * fixed d/rules to prevent erasing useful files
  * modified d/watch to use the script debian/get-newest.sh

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 Oct 2014 20:02:16 +0100

qupzilla (1.8.3-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.9.6
  * changed the build-dependencies to build with Qt5

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Oct 2014 15:46:54 +0100

qupzilla (1.6.6-2) unstable; urgency=medium

  * added a conflict between libqupzilla1 and qupzilla <= 1.6.6-1; LP: #1368098
    also, LP: #1327050 which is the same bug as #1368098, with a French locale
  * checked the dependency on libqt4-sql-sqlite. LP: #1272397
  * removed the obsoleted build-dependency on hardening-wrapper

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Sep 2014 17:40:36 +0200

qupzilla (1.6.6-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * documented the removal of embedded javascript libraries in
    d/README.Debian
  * added build-dependencies on libjs-jsquery, libjs-jquery-ui as some
    of their files are embedded in QRC-resources.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 May 2014 07:15:53 +0200

qupzilla (1.6.3-2) unstable; urgency=medium

  * applied Alf Gaida's patch. Closes: #743216

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 31 Mar 2014 23:05:33 +0200

qupzilla (1.6.3-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * activated KDE_INTEGRATION and added a build-dependency on kdelibs-dev.
    Closes: #735055
  * activated GNOME_INTEGRATION

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2014 13:48:02 +0100

qupzilla (1.6.1-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 22:45:57 +0100

qupzilla (1.6.0-1) unstable; urgency=medium

  * upgraded to the last upstream version
  * upgraded Standards-Version to 3.9.5
  * added a build-dependency on openssl-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Jan 2014 15:15:08 +0100

qupzilla (1.4.4-2) unstable; urgency=low

  * modified the conditional includes in src/main/main.cpp
    Closes: #721566

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Sep 2013 16:54:50 +0200

qupzilla (1.4.4-1) unstable; urgency=low

  * changed the conditional includes in src/main/main.cpp to take in
    account kfreebsd* architectures. Closes: #721566

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Sep 2013 15:54:01 +0200

qupzilla (1.4.4-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * Previous changes should ... Closes: #721566

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Sep 2013 12:52:41 +0200

qupzilla (1.4.3-5) unstable; urgency=low

  * modified main.cpp to get rid of the stdio-related sytaxes.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Sep 2013 12:41:43 +0200

qupzilla (1.4.3-4) unstable; urgency=low

  * added "#include <stdio>" in main.cpp to fix bugs with some platforms

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Sep 2013 00:01:51 +0200

qupzilla (1.4.3-3) unstable; urgency=low

  * applied changes to comply with wiki.debian.org/Multiarch/Implementation
    and wiki.debian.org/QtMultiarchTransition

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Sep 2013 18:35:47 +0200

qupzilla (1.4.3-2) unstable; urgency=low

  * added a dependency on libqt4-sql-sqlite. Closes: #715444
  * applied Ansgar Burchard's suggestions (thanks!):
    - added header files into the library-dev's package;
    - changed the section of the library package to libs.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jul 2013 16:20:51 +0200

qupzilla (1.4.3-1) unstable; urgency=low

  * upgraded to the latest upstream release
  * modified some debian/*.install files, added a clause
    Predepends: multiarch-support to take in account multiarch
  * enabled again the generation of libdev package

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 23:31:40 +0200

qupzilla (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #705972)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 22 Apr 2013 12:22:00 +0200
